diff --git src/widgets/styles/qmacstyle_mac.mm src/widgets/styles/qmacstyle_mac.mm
index e6436f82a6..be7c58cf72 100644
--- src/widgets/styles/qmacstyle_mac.mm
+++ src/widgets/styles/qmacstyle_mac.mm
@@ -1097,80 +1077,10 @@ void QMacStylePrivate::drawFocusRing(QPainter *p, const QRect &targetRect, int h
                   QRect(focusRingPixmap.width() - shCornerSize, svCornerSize, shCornerSize, focusRingPixmap.width() - 2 * svCornerSize));
 }
 
-#if QT_CONFIG(tabbar)
-void QMacStylePrivate::tabLayout(const QStyleOptionTab *opt, const QWidget *widget, QRect *textRect, QRect *iconRect) const
-{
-    Q_ASSERT(textRect);
-    Q_ASSERT(iconRect);
-    QRect tr = opt->rect;
-    const bool verticalTabs = opt->shape == QTabBar::RoundedEast
-                              || opt->shape == QTabBar::RoundedWest
-                              || opt->shape == QTabBar::TriangularEast
-                              || opt->shape == QTabBar::TriangularWest;
-    if (verticalTabs)
-        tr.setRect(0, 0, tr.height(), tr.width()); // 0, 0 as we will have a translate transform
-
-    int verticalShift = proxyStyle->pixelMetric(QStyle::PM_TabBarTabShiftVertical, opt, widget);
-    int horizontalShift = proxyStyle->pixelMetric(QStyle::PM_TabBarTabShiftHorizontal, opt, widget);
-    const int hpadding = 4;
-    const int vpadding = proxyStyle->pixelMetric(QStyle::PM_TabBarTabVSpace, opt, widget) / 2;
-    if (opt->shape == QTabBar::RoundedSouth || opt->shape == QTabBar::TriangularSouth)
-        verticalShift = -verticalShift;
-    tr.adjust(hpadding, verticalShift - vpadding, horizontalShift - hpadding, vpadding);
-
-    // left widget
-    if (!opt->leftButtonSize.isEmpty()) {
-        const int buttonSize = verticalTabs ? opt->leftButtonSize.height() : opt->leftButtonSize.width();
-        tr.setLeft(tr.left() + 4 + buttonSize);
-        // make text aligned to center
-        if (opt->rightButtonSize.isEmpty())
-            tr.setRight(tr.right() - 4 - buttonSize);
-    }
-    // right widget
-    if (!opt->rightButtonSize.isEmpty()) {
-        const int buttonSize = verticalTabs ? opt->rightButtonSize.height() : opt->rightButtonSize.width();
-        tr.setRight(tr.right() - 4 - buttonSize);
-        // make text aligned to center
-        if (opt->leftButtonSize.isEmpty())
-            tr.setLeft(tr.left() + 4 + buttonSize);
-    }
-
-    // icon
-    if (!opt->icon.isNull()) {
-        QSize iconSize = opt->iconSize;
-        if (!iconSize.isValid()) {
-            int iconExtent = proxyStyle->pixelMetric(QStyle::PM_SmallIconSize);
-            iconSize = QSize(iconExtent, iconExtent);
-        }
-        QSize tabIconSize = opt->icon.actualSize(iconSize,
-                        (opt->state & QStyle::State_Enabled) ? QIcon::Normal : QIcon::Disabled,
-                        (opt->state & QStyle::State_Selected) ? QIcon::On : QIcon::Off);
-        // High-dpi icons do not need adjustment; make sure tabIconSize is not larger than iconSize
-        tabIconSize = QSize(qMin(tabIconSize.width(), iconSize.width()), qMin(tabIconSize.height(), iconSize.height()));
-
-        *iconRect = QRect(tr.left(), tr.center().y() - tabIconSize.height() / 2,
-                    tabIconSize.width(), tabIconSize.height());
-        if (!verticalTabs)
-            *iconRect = proxyStyle->visualRect(opt->direction, opt->rect, *iconRect);
-
-        int stylePadding = proxyStyle->pixelMetric(QStyle::PM_TabBarTabHSpace, opt, widget) / 2;
-        stylePadding -= hpadding;
-
-        tr.setLeft(tr.left() + stylePadding + tabIconSize.width() + 4);
-        tr.setRight(tr.right() - stylePadding - tabIconSize.width() - 4);
-    }
-
-    if (!verticalTabs)
-        tr = proxyStyle->visualRect(opt->direction, opt->rect, tr);
-
-    *textRect = tr;
-}
-#endif // QT_CONFIG(tabbar)
-
 QAquaWidgetSize QMacStylePrivate::effectiveAquaSizeConstrain(const QStyleOption *option,
-                                                            const QWidget *widg,
-                                                            QStyle::ContentsType ct,
-                                                            QSize szHint, QSize *insz) const
+                                                             const QWidget *widg,
+                                                             QStyle::ContentsType ct,
+                                                             QSize szHint, QSize *insz) const
 {
     QAquaWidgetSize sz = aquaSizeConstrain(option, widg, ct, szHint, insz);
     if (sz == QAquaSizeUnknown)
@@ -1179,7 +1089,7 @@ QAquaWidgetSize QMacStylePrivate::effectiveAquaSizeConstrain(const QStyleOption
 }
 
 QAquaWidgetSize QMacStylePrivate::aquaSizeConstrain(const QStyleOption *option, const QWidget *widg,
-                                       QStyle::ContentsType ct, QSize szHint, QSize *insz) const
+                                                    QStyle::ContentsType ct, QSize szHint, QSize *insz) const
 {
 #if defined(QMAC_QAQUASTYLE_SIZE_CONSTRAIN) || defined(DEBUG_SIZE_CONSTRAINT)
     if (option) {
@@ -1188,7 +1098,7 @@ QAquaWidgetSize QMacStylePrivate::aquaSizeConstrain(const QStyleOption *option,
         if (option->state & QStyle::State_Mini)
             return QAquaSizeMini;
     }
-
+    
     if (!widg) {
         if (insz)
             *insz = QSize();
@@ -1198,11 +1108,11 @@ QAquaWidgetSize QMacStylePrivate::aquaSizeConstrain(const QStyleOption *option,
             return QAquaSizeMini;
         return QAquaSizeUnknown;
     }
-
+    
     Q_Q(const QMacStyle);
     QSize large = qt_aqua_get_known_size(ct, widg, szHint, QAquaSizeLarge),
-          small = qt_aqua_get_known_size(ct, widg, szHint, QAquaSizeSmall),
-          mini  = qt_aqua_get_known_size(ct, widg, szHint, QAquaSizeMini);
+    small = qt_aqua_get_known_size(ct, widg, szHint, QAquaSizeSmall),
+    mini  = qt_aqua_get_known_size(ct, widg, szHint, QAquaSizeMini);
     bool guess_size = false;
     QAquaWidgetSize ret = QAquaSizeUnknown;
     QMacStyle::WidgetSizePolicy wsp = q->widgetSizePolicy(widg);
@@ -1216,7 +1126,7 @@ QAquaWidgetSize QMacStylePrivate::aquaSizeConstrain(const QStyleOption *option,
         ret = QAquaSizeLarge;
     if (guess_size)
         ret = qt_aqua_guess_size(widg, large, small, mini);
-
+    
     QSize *sz = 0;
     if (ret == QAquaSizeSmall)
         sz = &small;
@@ -1253,9 +1163,9 @@ QAquaWidgetSize QMacStylePrivate::aquaSizeConstrain(const QStyleOption *option,
 }
 
 /**
-    Returns the free space awailable for contents inside the
-    button (and not the size of the contents itself)
-*/
+ Returns the free space awailable for contents inside the
+ button (and not the size of the contents itself)
+ */
 HIRect QMacStylePrivate::pushButtonContentBounds(const QStyleOptionButton *btn,
                                                  const HIThemeButtonDrawInfo *bdi) const
 {
@@ -1268,36 +1178,36 @@ HIRect QMacStylePrivate::pushButtonContentBounds(const QStyleOptionButton *btn,
     } else if (bdi->kind == kThemePushButtonMini) {
         outerBounds.origin.y += QMacStylePrivate::PushButtonTopOffset;
     }
-
+    
     HIRect contentBounds;
     HIThemeGetButtonContentBounds(&outerBounds, bdi, &contentBounds);
     return contentBounds;
 }
 
 /**
-    Calculates the size of the button contents.
-    This includes both the text and the icon.
-*/
+ Calculates the size of the button contents.
+ This includes both the text and the icon.
+ */
 QSize QMacStylePrivate::pushButtonSizeFromContents(const QStyleOptionButton *btn) const
 {
     Q_Q(const QMacStyle);
     QSize csz(0, 0);
     QSize iconSize = btn->icon.isNull() ? QSize(0, 0)
-                : (btn->iconSize + QSize(QMacStylePrivate::PushButtonContentPadding, 0));
+    : (btn->iconSize + QSize(QMacStylePrivate::PushButtonContentPadding, 0));
     QRect textRect = btn->text.isEmpty() ? QRect(0, 0, 1, 1)
-                : btn->fontMetrics.boundingRect(QRect(), Qt::AlignCenter, btn->text);
+    : btn->fontMetrics.boundingRect(QRect(), Qt::AlignCenter, btn->text);
     csz.setWidth(iconSize.width() + textRect.width()
-             + ((btn->features & QStyleOptionButton::HasMenu)
-                            ? q->proxy()->pixelMetric(QStyle::PM_MenuButtonIndicator, btn, 0) : 0));
+                 + ((btn->features & QStyleOptionButton::HasMenu)
+                    ? q->proxy()->pixelMetric(QStyle::PM_MenuButtonIndicator, btn, 0) : 0));
     csz.setHeight(qMax(iconSize.height(), textRect.height()));
     return csz;
 }
 
 /**
-    Checks if the actual contents of btn fits inside the free content bounds of
-    'buttonKindToCheck'. Meant as a helper function for 'initHIThemePushButton'
-    for determining which button kind to use for drawing.
-*/
+ Checks if the actual contents of btn fits inside the free content bounds of
+ 'buttonKindToCheck'. Meant as a helper function for 'initHIThemePushButton'
+ for determining which button kind to use for drawing.
+ */
 bool QMacStylePrivate::contentFitsInPushButton(const QStyleOptionButton *btn,
                                                HIThemeButtonDrawInfo *bdi,
                                                ThemeButtonKind buttonKindToCheck) const
@@ -1308,15 +1218,15 @@ bool QMacStylePrivate::contentFitsInPushButton(const QStyleOptionButton *btn,
     QRect freeContentRect = qt_qrectForHIRect(pushButtonContentBounds(btn, bdi));
     bdi->kind = tmp;
     return freeContentRect.contains(QRect(freeContentRect.x(), freeContentRect.y(),
-                                    contentSize.width(), contentSize.height()));
+                                          contentSize.width(), contentSize.height()));
 }
 
 /**
-    Creates a HIThemeButtonDrawInfo structure that specifies the correct button
-    kind and other details to use for drawing the given push button. Which
-    button kind depends on the size of the button, the size of the contents,
-    explicit user style settings, etc.
-*/
+ Creates a HIThemeButtonDrawInfo structure that specifies the correct button
+ kind and other details to use for drawing the given push button. Which
+ button kind depends on the size of the button, the size of the contents,
+ explicit user style settings, etc.
+ */
 void QMacStylePrivate::initHIThemePushButton(const QStyleOptionButton *btn,
                                              const QWidget *widget,
                                              const ThemeDrawState tds,
@@ -1328,55 +1238,54 @@ void QMacStylePrivate::initHIThemePushButton(const QStyleOptionButton *btn,
     bdi->version = qt_mac_hitheme_version;
     bdi->state = tdsModified;
     bdi->value = kThemeButtonOff;
-
+    
     if (tds == kThemeStateInactive)
         bdi->state = kThemeStateActive;
     if (btn->state & QStyle::State_HasFocus)
         bdi->adornment = kThemeAdornmentFocus;
     else
         bdi->adornment = kThemeAdornmentNone;
-
-
+    
+    
     if (btn->features & (QStyleOptionButton::Flat)) {
         bdi->kind = kThemeBevelButton;
     } else {
         switch (aquaSizeConstrain(btn, widget)) {
-        case QAquaSizeSmall:
-            bdi->kind = kThemePushButtonSmall;
-            break;
-        case QAquaSizeMini:
-            bdi->kind = kThemePushButtonMini;
-            break;
-        case QAquaSizeLarge:
-            // ... We should honor if the user is explicit about using the
-            // large button. But right now Qt will specify the large button
-            // as default rather than QAquaSizeUnknown.
-            // So we treat it like QAquaSizeUnknown
-            // to get the dynamic choosing of button kind.
-        case QAquaSizeUnknown:
-            // Choose the button kind that closest match the button rect, but at the
-            // same time displays the button contents without clipping.
-            bdi->kind = kThemeBevelButton;
-            if (btn->rect.width() >= QMacStylePrivate::BevelButtonW && btn->rect.height() >= QMacStylePrivate::BevelButtonH){
-                if (widget && widget->testAttribute(Qt::WA_MacVariableSize)) {
-                    if (btn->rect.height() <= QMacStylePrivate::MiniButtonH){
-                        if (contentFitsInPushButton(btn, bdi, kThemePushButtonMini))
-                            bdi->kind = kThemePushButtonMini;
-                    } else if (btn->rect.height() <= QMacStylePrivate::SmallButtonH){
-                        if (contentFitsInPushButton(btn, bdi, kThemePushButtonSmall))
-                            bdi->kind = kThemePushButtonSmall;
-                    } else if (contentFitsInPushButton(btn, bdi, kThemePushButton)) {
+            case QAquaSizeSmall:
+                bdi->kind = kThemePushButtonSmall;
+                break;
+            case QAquaSizeMini:
+                bdi->kind = kThemePushButtonMini;
+                break;
+            case QAquaSizeLarge:
+                // ... We should honor if the user is explicit about using the
+                // large button. But right now Qt will specify the large button
+                // as default rather than QAquaSizeUnknown.
+                // So we treat it like QAquaSizeUnknown
+                // to get the dynamic choosing of button kind.
+            case QAquaSizeUnknown:
+                // Choose the button kind that closest match the button rect, but at the
+                // same time displays the button contents without clipping.
+                bdi->kind = kThemeBevelButton;
+                if (btn->rect.width() >= QMacStylePrivate::BevelButtonW && btn->rect.height() >= QMacStylePrivate::BevelButtonH){
+                    if (widget && widget->testAttribute(Qt::WA_MacVariableSize)) {
+                        if (btn->rect.height() <= QMacStylePrivate::MiniButtonH){
+                            if (contentFitsInPushButton(btn, bdi, kThemePushButtonMini))
+                                bdi->kind = kThemePushButtonMini;
+                        } else if (btn->rect.height() <= QMacStylePrivate::SmallButtonH){
+                            if (contentFitsInPushButton(btn, bdi, kThemePushButtonSmall))
+                                bdi->kind = kThemePushButtonSmall;
+                        } else if (contentFitsInPushButton(btn, bdi, kThemePushButton)) {
+                            bdi->kind = kThemePushButton;
+                        }
+                    } else {
                         bdi->kind = kThemePushButton;
                     }
-                } else {
-                    bdi->kind = kThemePushButton;
                 }
-            }
         }
     }
 }
 
-#if QT_CONFIG(pushbutton)
 bool qt_mac_buttonIsRenderedFlat(const QPushButton *pushButton, const QStyleOptionButton *option)
 {
     QMacStyle *macStyle = qobject_cast<QMacStyle *>(pushButton->style());
@@ -1386,16 +1295,15 @@ bool qt_mac_buttonIsRenderedFlat(const QPushButton *pushButton, const QStyleOpti
     macStyle->d_func()->initHIThemePushButton(option, pushButton, kThemeStateActive, &bdi);
     return bdi.kind == kThemeBevelButton;
 }
-#endif
 
 /**
-    Creates a HIThemeButtonDrawInfo structure that specifies the correct button
-    kind and other details to use for drawing the given combobox. Which button
-    kind depends on the size of the combo, wether or not it is editable,
-    explicit user style settings, etc.
-*/
+ Creates a HIThemeButtonDrawInfo structure that specifies the correct button
+ kind and other details to use for drawing the given combobox. Which button
+ kind depends on the size of the combo, wether or not it is editable,
+ explicit user style settings, etc.
+ */
 void QMacStylePrivate::initComboboxBdi(const QStyleOptionComboBox *combo, HIThemeButtonDrawInfo *bdi,
-                                    const QWidget *widget, const ThemeDrawState &tds) const
+                                       const QWidget *widget, const ThemeDrawState &tds) const
 {
     bdi->version = qt_mac_hitheme_version;
     bdi->adornment = kThemeAdornmentArrowLeftArrow;
@@ -1404,76 +1312,78 @@ void QMacStylePrivate::initComboboxBdi(const QStyleOptionComboBox *combo, HIThem
         bdi->adornment = kThemeAdornmentFocus;
     if (combo->activeSubControls & QStyle::SC_ComboBoxArrow)
         bdi->state = kThemeStatePressed;
+    else if (tds == kThemeStateInactive && QSysInfo::MacintoshVersion < QSysInfo::MV_10_10)
+        bdi->state = kThemeStateActive;
     else
         bdi->state = tds;
-
+    
     QAquaWidgetSize aSize = aquaSizeConstrain(combo, widget);
     switch (aSize) {
-    case QAquaSizeMini:
-        bdi->kind = combo->editable ? ThemeButtonKind(kThemeComboBoxMini)
+        case QAquaSizeMini:
+            bdi->kind = combo->editable ? ThemeButtonKind(kThemeComboBoxMini)
             : ThemeButtonKind(kThemePopupButtonMini);
-        break;
-    case QAquaSizeSmall:
-        bdi->kind = combo->editable ? ThemeButtonKind(kThemeComboBoxSmall)
+            break;
+        case QAquaSizeSmall:
+            bdi->kind = combo->editable ? ThemeButtonKind(kThemeComboBoxSmall)
             : ThemeButtonKind(kThemePopupButtonSmall);
-        break;
-    case QAquaSizeUnknown:
-    case QAquaSizeLarge:
-        // Unless the user explicitly specified large buttons, determine the
-        // kind by looking at the combox size.
-        // ... specifying small and mini-buttons it not a current feature of
-        // Qt (e.g. QWidget::getAttribute(WA_ButtonSize)). But when it is, add
-        // an extra check here before using the mini and small buttons.
-        int h = combo->rect.size().height();
-        if (combo->editable){
-#if QT_CONFIG(datetimeedit)
-            if (qobject_cast<const QDateTimeEdit *>(widget)) {
-                // Except when, you know, we get a QDateTimeEdit with calendarPopup
-                // enabled. And then things get weird, basically because it's a
-                // transvestite spinbox with editable combobox tendencies. Meaning
-                // that it wants to look a combobox, except that it isn't one, so it
-                // doesn't get all those extra free margins around. (Don't know whose
-                // idea those margins were, but now it looks like we're stuck with
-                // them forever). So anyway, the height threshold should be smaller
-                // in this case, or the style gets confused when it needs to render
-                // or return any subcontrol size of the poor thing.
-                if (h < 9)
-                    bdi->kind = kThemeComboBoxMini;
-                else if (h < 22)
-                    bdi->kind = kThemeComboBoxSmall;
-                else
-                    bdi->kind = kThemeComboBox;
-            } else
+            break;
+        case QAquaSizeUnknown:
+        case QAquaSizeLarge:
+            // Unless the user explicitly specified large buttons, determine the
+            // kind by looking at the combox size.
+            // ... specifying small and mini-buttons it not a current feature of
+            // Qt (e.g. QWidget::getAttribute(WA_ButtonSize)). But when it is, add
+            // an extra check here before using the mini and small buttons.
+            int h = combo->rect.size().height();
+            if (combo->editable){
+#ifndef QT_NO_DATETIMEEDIT
+                if (qobject_cast<const QDateTimeEdit *>(widget)) {
+                    // Except when, you know, we get a QDateTimeEdit with calendarPopup
+                    // enabled. And then things get weird, basically because it's a
+                    // transvestite spinbox with editable combobox tendencies. Meaning
+                    // that it wants to look a combobox, except that it isn't one, so it
+                    // doesn't get all those extra free margins around. (Don't know whose
+                    // idea those margins were, but now it looks like we're stuck with
+                    // them forever). So anyway, the height threshold should be smaller
+                    // in this case, or the style gets confused when it needs to render
+                    // or return any subcontrol size of the poor thing.
+                    if (h < 9)
+                        bdi->kind = kThemeComboBoxMini;
+                    else if (h < 22)
+                        bdi->kind = kThemeComboBoxSmall;
+                    else
+                        bdi->kind = kThemeComboBox;
+                } else
 #endif
-            {
+                {
+                    if (h < 21)
+                        bdi->kind = kThemeComboBoxMini;
+                    else if (h < 26)
+                        bdi->kind = kThemeComboBoxSmall;
+                    else
+                        bdi->kind = kThemeComboBox;
+                }
+            } else {
+                // Even if we specify that we want the kThemePopupButton, Carbon
+                // will use the kThemePopupButtonSmall if the size matches. So we
+                // do the same size check explicit to have the size of the inner
+                // text field be correct. Therefore, do this even if the user specifies
+                // the use of LargeButtons explicit.
                 if (h < 21)
-                    bdi->kind = kThemeComboBoxMini;
+                    bdi->kind = kThemePopupButtonMini;
                 else if (h < 26)
-                    bdi->kind = kThemeComboBoxSmall;
+                    bdi->kind = kThemePopupButtonSmall;
                 else
-                    bdi->kind = kThemeComboBox;
+                    bdi->kind = kThemePopupButton;
             }
-        } else {
-            // Even if we specify that we want the kThemePopupButton, Carbon
-            // will use the kThemePopupButtonSmall if the size matches. So we
-            // do the same size check explicit to have the size of the inner
-            // text field be correct. Therefore, do this even if the user specifies
-            // the use of LargeButtons explicit.
-            if (h < 21)
-                bdi->kind = kThemePopupButtonMini;
-            else if (h < 26)
-                bdi->kind = kThemePopupButtonSmall;
-            else
-                bdi->kind = kThemePopupButton;
-        }
-        break;
+            break;
     }
 }
 
 /**
-    Carbon draws comboboxes (and other views) outside the rect given as argument. Use this function to obtain
-    the corresponding inner rect for drawing the same combobox so that it stays inside the given outerBounds.
-*/
+ Carbon draws comboboxes (and other views) outside the rect given as argument. Use this function to obtain
+ the corresponding inner rect for drawing the same combobox so that it stays inside the given outerBounds.
+ */
 HIRect QMacStylePrivate::comboboxInnerBounds(const HIRect &outerBounds, int buttonKind)
 {
     HIRect innerBounds = outerBounds;
@@ -1481,86 +1391,86 @@ HIRect QMacStylePrivate::comboboxInnerBounds(const HIRect &outerBounds, int butt
     // So make the rect a bit smaller to compensate
     // (I wish HIThemeGetButtonBackgroundBounds worked)
     switch (buttonKind){
-    case kThemePopupButton:
-        innerBounds.origin.x += 2;
-        innerBounds.origin.y += 2;
-        innerBounds.size.width -= 5;
-        innerBounds.size.height -= 6;
-        break;
-    case kThemePopupButtonSmall:
-        innerBounds.origin.x += 3;
-        innerBounds.origin.y += 3;
-        innerBounds.size.width -= 6;
-        innerBounds.size.height -= 7;
-        break;
-    case kThemePopupButtonMini:
-        innerBounds.origin.x += 2;
-        innerBounds.origin.y += 2;
-        innerBounds.size.width -= 5;
-        innerBounds.size.height -= 6;
-        break;
-    case kThemeComboBox:
-        innerBounds.origin.x += 3;
-        innerBounds.origin.y += 2;
-        innerBounds.size.width -= 6;
-        innerBounds.size.height -= 8;
-        break;
-    case kThemeComboBoxSmall:
-        innerBounds.origin.x += 3;
-        innerBounds.origin.y += 3;
-        innerBounds.size.width -= 7;
-        innerBounds.size.height -= 8;
-        break;
-    case kThemeComboBoxMini:
-        innerBounds.origin.x += 3;
-        innerBounds.origin.y += 3;
-        innerBounds.size.width -= 4;
-        innerBounds.size.height -= 8;
-        break;
-    default:
-        break;
+        case kThemePopupButton:
+            innerBounds.origin.x += 2;
+            innerBounds.origin.y += 2;
+            innerBounds.size.width -= 5;
+            innerBounds.size.height -= 6;
+            break;
+        case kThemePopupButtonSmall:
+            innerBounds.origin.x += 3;
+            innerBounds.origin.y += 3;
+            innerBounds.size.width -= 6;
+            innerBounds.size.height -= 7;
+            break;
+        case kThemePopupButtonMini:
+            innerBounds.origin.x += 2;
+            innerBounds.origin.y += 2;
+            innerBounds.size.width -= 5;
+            innerBounds.size.height -= 6;
+            break;
+        case kThemeComboBox:
+            innerBounds.origin.x += 3;
+            innerBounds.origin.y += 2;
+            innerBounds.size.width -= 6;
+            innerBounds.size.height -= 8;
+            break;
+        case kThemeComboBoxSmall:
+            innerBounds.origin.x += 3;
+            innerBounds.origin.y += 3;
+            innerBounds.size.width -= 7;
+            innerBounds.size.height -= 8;
+            break;
+        case kThemeComboBoxMini:
+            innerBounds.origin.x += 3;
+            innerBounds.origin.y += 3;
+            innerBounds.size.width -= 4;
+            innerBounds.size.height -= 8;
+            break;
+        default:
+            break;
     }
     return innerBounds;
 }
 
 /**
-    Inside a combobox Qt places a line edit widget. The size of this widget should depend on the kind
-    of combobox we choose to draw. This function calculates and returns this size.
-*/
+ Inside a combobox Qt places a line edit widget. The size of this widget should depend on the kind
+ of combobox we choose to draw. This function calculates and returns this size.
+ */
 QRect QMacStylePrivate::comboboxEditBounds(const QRect &outerBounds, const HIThemeButtonDrawInfo &bdi)
 {
     QRect ret = outerBounds;
     switch (bdi.kind){
-    case kThemeComboBox:
-        ret.adjust(5, 5, -22, -5);
-        break;
-    case kThemeComboBoxSmall:
-        ret.adjust(4, 5, -18, 0);
-        ret.setHeight(16);
-        break;
-    case kThemeComboBoxMini:
-        ret.adjust(4, 5, -16, 0);
-        ret.setHeight(13);
-        break;
-    case kThemePopupButton:
-        ret.adjust(10, 2, -23, -4);
-        break;
-    case kThemePopupButtonSmall:
-        ret.adjust(9, 3, -20, -3);
-        break;
-    case kThemePopupButtonMini:
-        ret.adjust(8, 3, -19, 0);
-        ret.setHeight(13);
-        break;
+        case kThemeComboBox:
+            ret.adjust(5, 5, -22, -5);
+            break;
+        case kThemeComboBoxSmall:
+            ret.adjust(4, 5, -18, 0);
+            ret.setHeight(16);
+            break;
+        case kThemeComboBoxMini:
+            ret.adjust(4, 5, -16, 0);
+            ret.setHeight(13);
+            break;
+        case kThemePopupButton:
+            ret.adjust(10, 2, -23, -4);
+            break;
+        case kThemePopupButtonSmall:
+            ret.adjust(9, 3, -20, -3);
+            break;
+        case kThemePopupButtonMini:
+            ret.adjust(8, 3, -19, 0);
+            ret.setHeight(13);
+            break;
     }
     return ret;
 }
 
 /**
-    Carbon comboboxes don't scale (sight). If the size of the combo suggest a scaled version,
-    create it manually by drawing a small Carbon combo onto a pixmap (use pixmap cache), chop
-    it up, and copy it back onto the widget. Othervise, draw the combobox supplied by Carbon directly.
-*/
+ Carbon comboboxes don't scale (sight). If the size of the combo suggest a scaled version,
+ create it manually by drawing a small Carbon combo onto a pixmap (use pixmap cache), chop
+ it up, and copy it back onto the widget. Othervise, draw the combobox supplied by Carbon directly.
+ */
 void QMacStylePrivate::drawCombobox(const HIRect &outerBounds, const HIThemeButtonDrawInfo &bdi, QPainter *p)
 {
     if (!(bdi.kind == kThemeComboBox && outerBounds.size.height > 28)){
@@ -1579,7 +1489,7 @@ void QMacStylePrivate::drawCombobox(const HIRect &outerBounds, const HIThemeButt
             buffPainter.end();
             QPixmapCache::insert(key, buffer);
         }
-
+        
         const int bwidth = 20;
         const int fwidth = 10;
         const int fheight = 10;
@@ -1590,7 +1500,7 @@ void QMacStylePrivate::drawCombobox(const HIRect &outerBounds, const HIThemeButt
         int flower = h - fheight;
         int sheight = flower - fheight;
         int center = qRound(outerBounds.size.height + outerBounds.origin.y) / 2;
-
+        
         // Draw upper and lower gap
         p->drawPixmap(fwidth, 0, bstart - fwidth, fheight, buffer, fwidth, 0, 1, fheight);
         p->drawPixmap(fwidth, flower, bstart - fwidth, fheight, buffer, fwidth, buffer.height() - fheight, 1, fheight);
@@ -1609,16 +1519,16 @@ void QMacStylePrivate::drawCombobox(const HIRect &outerBounds, const HIThemeButt
 }
 
 /**
-    Carbon tableheaders don't scale (sight). So create it manually by drawing a small Carbon header
-    onto a pixmap (use pixmap cache), chop it up, and copy it back onto the widget.
-*/
+ Carbon tableheaders don't scale (sight). So create it manually by drawing a small Carbon header
+ onto a pixmap (use pixmap cache), chop it up, and copy it back onto the widget.
+ */
 void QMacStylePrivate::drawTableHeader(const HIRect &outerBounds,
-    bool drawTopBorder, bool drawLeftBorder, const HIThemeButtonDrawInfo &bdi, QPainter *p)
+                                       bool drawTopBorder, bool drawLeftBorder, const HIThemeButtonDrawInfo &bdi, QPainter *p)
 {
     static SInt32 headerHeight = 0;
     static OSStatus err = GetThemeMetric(kThemeMetricListHeaderHeight, &headerHeight);
     Q_UNUSED(err);
-
+    
     QPixmap buffer;
     QString key = QString(QLatin1String("$qt_tableh%1-%2-%3")).arg(int(bdi.state)).arg(int(bdi.adornment)).arg(int(bdi.value));
     if (!QPixmapCache::find(key, buffer)) {
@@ -1637,13 +1547,13 @@ void QMacStylePrivate::drawTableHeader(const HIRect &outerBounds,
     const int frameh_s = 3;
     const int transh = buffer.height() - frameh_n - frameh_s;
     int center = buttonh - frameh_s - int(transh / 2.0f) + 1; // Align bottom;
-
+    
     int skipTopBorder = 0;
     if (!drawTopBorder)
         skipTopBorder = 1;
-
+    
     p->translate(outerBounds.origin.x, outerBounds.origin.y);
-
+    
     p->drawPixmap(QRect(QRect(0, -skipTopBorder, buttonw - framew , frameh_n)), buffer, QRect(framew, 0, 1, frameh_n));
     p->drawPixmap(QRect(0, buttonh - frameh_s, buttonw - framew, frameh_s), buffer, QRect(framew, buffer.height() - frameh_s, 1, frameh_s));
     // Draw upper and lower center blocks
